# $Revision: 1.18 $, $Date: 2005/02/06 12:44:40 $
Summary:	A tetris clone for Linux
Summary(pl):	Klon tetrisa dla Linuksa
Name:		ltris
Version:	1.0.9
Release:	1
License:	GPL v2+
Vendor:		Michael Speck <kulkanie@gmx.net>
Group:		X11/Applications/Games
Source0:	http://dl.sourceforge.net/lgames/%{name}-%{version}.tar.gz
# Source0-md5:	51f719df95636f42e00fe5a777610dd3
Source1:	%{name}.desktop
Source2:	%{name}.png
URL:		http://lgames.sourceforge.net/index.php?project=LTris
BuildRequires:	SDL-devel >= 1.2.4
BuildRequires:	SDL_mixer-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_localstatedir	/var/games

%description
LTris is a clone of the tetris game for Linux. It uses a SDL library.

%description -l pl
LTris jest klonem gry tetris dla Linuksa. Korzysta z biblioteki SDL.

%prep
%setup -q

%build
%configure2_13

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(2755,root,games) %{_bindir}/*
%{_desktopdir}/ltris.desktop
%{_pixmapsdir}/*.png
%{_datadir}/ltris
%attr(664,root,games) %config(noreplace) %verify(not size mtime md5) /var/games/ltris.hscr

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ltris.spec,v $
Revision 1.18  2005/02/06 12:44:40  adamg
- updated to 1.0.9

Revision 1.17  2004/07/04 17:01:29  qboosh
- updated to 1.0.7

Revision 1.16  2004/02/02 23:05:32  qboosh
- uh. updated to 1.0.6

Revision 1.15  2004/02/02 22:07:57  qboosh
- switched to desktopdir, fixed BRs, release 2 for Ac

Revision 1.14  2003/10/23 18:29:49  qboosh
- 1.0.5

Revision 1.13  2003/09/09 10:24:21  ankry
- spaces -> tab

Revision 1.12  2003/08/18 08:08:19  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.11  2003/05/28 12:59:38  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 05:50:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/04/08 12:54:44  qboosh
- use http for sources from sourceforge

Revision 1.8  2003/03/10 22:32:41  misi3k
- updated to 1.0.4

Revision 1.7  2003/01/18 22:53:34  juandon
- removed two lines with define

Revision 1.6  2002/09/17 12:23:24  kloczek
- use DESTDIR style install (simplified and also now is installed figures file),
- other simplifications,
- move desktop file to Gmes/Arcade/,
- change desktop Icon to png 48x48 pixmap.

Revision 1.5  2002/08/30 23:38:26  qboosh
- fixed score path (global, not in builder's home!!!)
- BR: SDL_mixer-devel
- release 4

Revision 1.4  2002/08/28 10:51:33  krolik
- added ltris.conf file path
- changed highscore path to ~/.lgames

Revision 1.3  2002/08/27 15:02:27  mwinkler
- stupid mistake

Revision 1.2  2002/08/27 14:56:03  mwinkler
- cosmetics changes, build requires, fixed data path
- STBR(?)

Revision 1.1  2002/08/27 12:42:05  krolik
-initial
